
#ifndef KPROFILECONFIGDLG_H
#define KPROFILECONFIGDLG_H

#include "kprofileconfig.h"
#include "kwlanmainwin.h"

class KProfileConfigDlg : public KProfileConfig
{
  Q_OBJECT

public:
  KProfileConfigDlg(QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
  ~KProfileConfigDlg();
  /*$PUBLIC_FUNCTIONS$*/
  virtual void          setMainWin( KWlanMainWin * mainWin );
  virtual void          getEapCapa();
  virtual void          wepEnabled( bool enabled );
  virtual void          newNetwork();
  virtual void          paramsFromConfig( int network_id );
  virtual int           setNetworkParam( int id, const char * field, const char * value, bool quote );
  virtual void          paramsFromScanResults( QListViewItem * sel );

public slots:
  /*$PUBLIC_SLOTS$*/
  virtual void          ipSettings();
  virtual void          browseForServerCertificate();
  virtual void          browseForPrivateKey();
  virtual void          browseForCertificate();
  virtual void          writeWepKey( int network_id, QLineEdit * edit, int id );
  virtual void          encrChanged( const QString & sel );
  virtual void          addNetwork();
  virtual void          authChanged( int sel );

protected:
  /*$PROTECTED_FUNCTIONS$*/

protected slots:
  /*$PROTECTED_SLOTS$*/
private:
  KWlanMainWin *m_mainWindow;
  int m_editNetworkID;
  bool m_newNetwork;
};

#endif







