

#include "kwlansettingsdlg.h"
#include "configuration.h"

#include <qcheckbox.h>
#include <qcombobox.h>
#include <qspinbox.h>


KWlanSettingsDlg::KWlanSettingsDlg(QWidget* parent, const char* name, bool modal, WFlags fl)
: KWlanSettings(parent,name, modal,fl)
{
    cbWpa->setChecked(Config().m_startWpa);
    cbWpaNoQuestion->setChecked(Config().m_startWpaNoQuestion);
    cbMinimized->setChecked(Config().m_startMinimized);
    sbPasswordTime->setValue(Config().m_pwexpire);
}

KWlanSettingsDlg::~KWlanSettingsDlg()
{
}

/*$SPECIALIZATION$*/
void KWlanSettingsDlg::enableWpaNoQuestion(int state)
{
    cbWpaNoQuestion->setEnabled(state);
}

void KWlanSettingsDlg::Cancel()
{
    QWidget::close(true);
}

void KWlanSettingsDlg::Ok()
{
    Config().m_startWpa = cbWpa->isChecked();
    Config().m_startWpaNoQuestion = cbWpaNoQuestion->isChecked();
    Config().m_startMinimized = cbMinimized->isChecked();
    Config().m_pwexpire = sbPasswordTime->value();
    Config().writeSettings();
    QWidget::close(true);
}



#include "kwlansettingsdlg.moc"

