/// All functions to set wlan parameters and query wlan interfaces

#ifndef _WLANLIB_
#define _WLANLIB_

#include <qstring.h>
#include <qstringlist.h>
#include <qwidget.h>


#define PROC_NET_WIRELESS	"/proc/net/wireless"
// #define PROC_NET_WIRELESS	"/proc/net/dev"
#define MAX_SSID_SIZE 100


///not wireless related, but needed from several classes: executes program using kdesud
bool executeSuCommand(QString command);
/// lists all wireless interfaces
QStringList getInterfaces();
/// return full path for a file "file"
QString getPath(QString file);
/// Returns true is there is a nameserver entry in /etc/resolv.conf
bool hasNameserver();
/// Returns true if there is default gateway on an active interface
bool hasGateway();

/// class to request information about wireless status
class IwLib {
    public:
        IwLib(const QString &ifname);
        virtual ~IwLib();
	
        int getQuality();
        QString getBitrate();
        QString getESSID();
        bool setWepAuth(int authMode);
    private:
        int m_socket;
        QString m_ifname;
};

#endif
